Subject: Re: bug#59350: 29.0.50; Eval region or buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2022 10:49:49 +0200

> From: Juri Linkov <[email-masked]>
> Date: Fri, 18 Nov 2022 09:44:39 +0200
> 
> 'elisp-eval-buffer' is a nice new command that evaluates the current buffer
> with a convenient keybinding 'C-c C-e'.  It would be nicer also to react on
> the currently active region:

That'd be confusing, IMO, given that the command says "buffer" in its
name.  We usually do this the other way around: eval-region should
work on the entire accessible portion of the buffer if the mark is not
set.  But note that eval-region doesn't need the region to be active,
so there be dragons.